#include "extdll.h"
#include "util.h"

#include "cbase.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "player.h"
#include "nodes.h"
#include "weapons.h"
#include "soundent.h"
#include "monsters.h"
#include "decals.h"
#include "gamerules.h"


CFrieza::CFrieza ( CBasePlayer *player ): CBaseClass(player) 
{	
}

void CFrieza::AddAllAttacks(void)
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_fingerlaser");
	m_pPlayer->GiveNamedItem("weapon_friezadisc");
	m_pPlayer->GiveNamedItem("weapon_telekinesis");
	// Moved to Form 2
//	m_pPlayer->GiveNamedItem("weapon_deathball");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CFrieza::GetAscendedClass(void)
{	return new CFrieza2(m_pPlayer);
}

CFrieza2::CFrieza2(CBasePlayer *player): CFrieza(player)
{	
}

// Added by Pcjoe
void CFrieza2::AddAllAttacks(void)
{	m_pPlayer->GiveNamedItem("weapon_melee");
	m_pPlayer->GiveNamedItem("weapon_kiblast");
	m_pPlayer->GiveNamedItem("weapon_genericbeam");
	m_pPlayer->GiveNamedItem("weapon_fingerlaser");
	m_pPlayer->GiveNamedItem("weapon_friezadisc");
	m_pPlayer->GiveNamedItem("weapon_deathball");
	m_pPlayer->GiveNamedItem("weapon_telekinesis");
	m_pPlayer->GiveNamedItem("weapon_sensu");
}

CBaseClass* CFrieza2::GetDescendedClass(void)
{	return new CFrieza(m_pPlayer);
}
